```
    _    ____   ____ _____ ____
   / \  | __ ) / ___|___ /|  _ \
  / _ \ |  _ \| |     |_ \| | | |
 / ___ \| |_) | |___ ___) | |_| |
/_/   \_\____/ \____|____/|____/
```

Convenience tool to work with 3D typography in Blender and Cinema4D.

The readme is at the moment for development only. Install as you would normally install an addon.

# get bpy python working by:
```bash
$HOME/git/tools/blender_git/build_linux_v4.1/bin/4.1/python/bin/python3.11 -m venv venv
source venv/bin/activate
pip install bpy
```

to install mathutils, this was necessary for me:
```
sudo xbps-install -Sy python3.11-devel
CFLAGS=$(python3.11-config --cflags) LDFLAGS=$(python3.11-config --ldflags) pip install mathutils
```

# install addon:
```bash
cd <root directory>
ln -s $(pwd) $HOME/git/tools/blender_git/build_linux_v4.1/bin/4.1/scripts/addons/abc3d
```

# get blender addon path:
```python
bpy.utils.script_paths()
```
then check it for the `addons` directory

# addons dir:
```
~/git/tools/blender_git/build_linux_v4.1/bin/4.1/scripts/addons/
```

# addon data:
```
~/.config/blender/4.1/datafiles
```

# reload addon in blender:
F3 -> "reload scripts"
